CREATE TABLE atk_tech_asset_properties (
    TECH_ASSET_PROPERTY_ID    NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    PARENT_OBJECT_ID          NUMBER(18, 0)     NOT NULL,
    PARENT_OBJECT_TYPE        VARCHAR2(120)     NOT NULL,
    PROPERTY_NAME             VARCHAR2(512) ,
    PROPERTY_VALUE            VARCHAR2(1024),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    TECH_ASSET_PROPERTY_ID    NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    PARENT_OBJECT_ID          NUMBER(18, 0)     NOT NULL,
    PARENT_OBJECT_TYPE        VARCHAR2(120)     NOT NULL,
    PROPERTY_NAME             VARCHAR2(512) ,
    PROPERTY_VALUE            VARCHAR2(1024),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CONSTRAINT pk_atk_tech_asset_properties PRIMARY KEY (TECH_ASSET_PROPERTY_ID, TECH_ASSET_PROPERTY_ID)
);
